it works fine with 5.0 Rated 5 out of 5 stars

just install addon compatibility reporter and disable version checking.

This review is for a previous version of the add-on (3.3).